## workrave 1.9.909+abc941eb70

=== build/cmake/CMakeLists.txt ===
if(WIN32)
  set(HAVE_LANGUAGE_SELECTION TRUE)
endif(WIN32)

set(ALL_LINGUAS "")
file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/../../po/LINGUAS" pofile)
FOREACH(line ${pofile})
  if("${line}" MATCHES "^[a-zA-Z]")
    set(ALL_LINGUAS "${ALL_LINGUAS}${line} ")
  endif("${line}" MATCHES "^[a-zA-Z]")
ENDFOREACH(line)
#strip the trailing whitespace. earlier versions of cmake don't have string(STRIP
STRING(REGEX REPLACE  "[ ]+$" "" ALL_LINGUAS "${ALL_LINGUAS}" )
#message(STATUS "ALL_LINGUAS = ${ALL_LINGUAS}")

set(SOUND_THEMES subtle default)

# Set Workrave version
set(VERSION_MAJOR   "1")
set(VERSION_MINOR   "9")
set(VERSION_RELEASE "909")
set(VERSION_PATCH   "0")
if (VERSION_PATCH)
    set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}-${VERSION_PATCH}" )
    set(RESOURCE_VERSION "${VERSION_MAJOR},${VERSION_MINOR},${VERSION_RELEASE},${VERSION_PATCH}" )
else (VERSION_PATCH)
    set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}" )
    set(RESOURCE_VERSION "${VERSION_MAJOR},${VERSION_MINOR},${VERSION_RELEASE},0" )
endif (VERSION_PATCH)

# CMake
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2 FATAL_ERROR)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/modules")

project(Workrave)

SET(CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG} -DTRACING")

if(MSVC)
  ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
  
  SET(MSVC_WARNINGS "/W3 /wd4127 /wd4250 /wd4413 /wd4800")
  
  SET(CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG}   /FIconfig.h ${MSVC_WARNINGS}")
  SET(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /FIconfig.h ${MSVC_WARNINGS}")
endif(MSVC)

if(WIN32)
  set (CMAKE_DEBUG_POSTFIX "d")

  add_definitions( 
    -DWIN32
    -D_WINDOWS
    -D_WIN32_WINNT=0x0600
  ) 

endif(WIN32)
 

if (WIN32)
  set (LIBRARY_OUTPUT_PATH  ${CMAKE_BINARY_DIR}/bin)
else (WIN32)
  set (LIBRARY_OUTPUT_PATH  ${CMAKE_BINARY_DIR}/lib)
endif (WIN32)

set (EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)

# for including config.h and for includes like <dir/foo.h>
include_directories(${CMAKE_SOURCE_DIR}/.. ${CMAKE_BINARY_DIR} ${CMAKE_INCLUDE_PATH})

# linker search directories
link_directories(${LIBRARY_OUTPUT_PATH})
include_directories(${CMAKE_LIBRARY_PATH})

######################################################################
## Win32
######################################################################

if (WIN32)
  set(PLATFORM_OS_WIN32 1)
  if (MSVC)
    set(PLATFORM_OS_WIN32_NATIVE 1)
  endif (MSVC)
endif (WIN32)

######################################################################
## Options
######################################################################

option(DEVELOPMENT_MODE "Development" OFF)
if(DEVELOPMENT_MODE)
  set(DATA_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../)
endif(DEVELOPMENT_MODE)

######################################################################
## Find packages
######################################################################

include(FindGlib)
include(FindGtkmm)
include(FindDbus)
include(FindGettext)
#include(FindGnet)

FIND_PROGRAM(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

if (NOT GETTEXT_FOUND)
  message("=== GetText not found - disabling i18n")
endif (NOT GETTEXT_FOUND)


set(HAVE_DBUS ${DBUS_FOUND})
if (HAVE_DBUS)
  include (FindPythonInterp)
  if (NOT PYTHONINTERP_FOUND)
    message("=== Python not found - disabling dbus")
    set (HAVE_DBUS FALSE)
  endif (NOT PYTHONINTERP_FOUND)
endif (HAVE_DBUS)

set(HAVE_GNET ${GNET_FOUND})
set (HAVE_DISTRIBUTION FALSE)
if (HAVE_GNET OR HAVE_GIO_NET)
  set (HAVE_DISTRIBUTION TRUE)
  set (HAVE_TESTS TRUE)
endif (HAVE_GNET OR HAVE_GIO_NET)

if (WIN32)
  FIND_PROGRAM(INTLTOOL_UPDATE_EXEC intltool-update)
  FIND_PROGRAM(INTLTOOL_MERGE_EXEC intltool-merge)
  include(FindPerl)

  if (NOT PERL_FOUND)
    message("=== Perl not found")
  else (NOT PERL_FOUND)
    if (INTLTOOL_MERGE_EXEC)
      set (INTLTOOL_MERGE_EXECUTABLE ${PERL_EXECUTABLE} ${INTLTOOL_MERGE_EXEC})
    endif(INTLTOOL_MERGE_EXEC)
    if (INTLTOOL_UPDATE_EXEC)
      set (INTLTOOL_UPDATE_EXECUTABLE ${PERL_EXECUTABLE} ${INTLTOOL_UPDATE_EXEC})
    endif(INTLTOOL_UPDATE_EXEC)
  endif (NOT PERL_FOUND)

  include(FindDirectX)
  if (NOT DIRECTX_FOUND)
    message(FATAL_ERROR "Could not find DirectX SDK")
  endif(NOT DIRECTX_FOUND)
  set(HAVE_DIRECTX ${DIRECTX_FOUND})

else (WIN32)
  FIND_PROGRAM(INTLTOOL_UPDATE_EXECUTABLE intltool-update)
  FIND_PROGRAM(INTLTOOL_MERGE_EXECUTABLE intltool-merge)
  MARK_AS_ADVANCED(INTLTOOL_UPDATE_EXECUTABLE)
endif (WIN32)

if (INTLTOOL_MERGE_EXECUTABLE AND PERL_FOUND)
  set (HAVE_EXERCISES TRUE)
else (INTLTOOL_MERGE_EXECUTABLE AND PERL_FOUND)
  message("=== Perl/Intltool not found - disabling exercises")
  set (HAVE_EXERCISES FALSE)
endif (INTLTOOL_MERGE_EXECUTABLE AND PERL_FOUND)


######################################################################
## Create config.h
######################################################################

if (MINGW)
  set (HAVE_GNUC_VARARGS 1)
endif(MINGW)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/workrave.rc.cmake ${CMAKE_CURRENT_BINARY_DIR}/workrave.rc )

# compiler definitions 
add_definitions(-DHAVE_CONFIG_H=1)

######################################################################
## Subdirectories
######################################################################

add_subdirectory(harpoon)
add_subdirectory(common)
add_subdirectory(backend)
add_subdirectory(frontend)

=== build/cmake/backend/CMakeLists.txt ===
project(Workrave)

SET(COMMON_DIR ${CMAKE_SOURCE_DIR}/../../common)
SET(BACKEND_DIR ${CMAKE_SOURCE_DIR}/../../backend)

set(BACKEND_SOURCES 
  ${BACKEND_DIR}/include/CoreConfig.hh
  ${BACKEND_DIR}/include/CoreFactory.hh
  ${BACKEND_DIR}/include/IApp.hh
  ${BACKEND_DIR}/include/IBreak.hh
  ${BACKEND_DIR}/include/IBreakResponse.hh
  ${BACKEND_DIR}/include/IConfigurator.hh
  ${BACKEND_DIR}/include/IConfiguratorListener.hh
  ${BACKEND_DIR}/include/ICore.hh
  ${BACKEND_DIR}/include/ICoreEventListener.hh
  ${BACKEND_DIR}/include/IStatistics.hh
  ${BACKEND_DIR}/src/ActivityMonitor.cc
  ${BACKEND_DIR}/src/ActivityMonitor.hh
  ${BACKEND_DIR}/src/ActivityMonitorListener.hh
  ${BACKEND_DIR}/src/Break.cc
  ${BACKEND_DIR}/src/Break.hh
  ${BACKEND_DIR}/src/BreakControl.cc
  ${BACKEND_DIR}/src/BreakControl.hh
  ${BACKEND_DIR}/src/ConfigBackendAdapter.hh
  ${BACKEND_DIR}/src/Configurator.cc
  ${BACKEND_DIR}/src/Configurator.hh
  ${BACKEND_DIR}/src/ConfiguratorFactory.cc
  ${BACKEND_DIR}/src/ConfiguratorFactory.hh
  ${BACKEND_DIR}/src/Core.cc
  ${BACKEND_DIR}/src/Core.hh
  ${BACKEND_DIR}/src/CoreConfig.cc
  ${BACKEND_DIR}/src/CoreFactory.cc
  ${BACKEND_DIR}/src/DayTimePred.cc
  ${BACKEND_DIR}/src/DayTimePred.hh
  ${BACKEND_DIR}/src/GlibIniConfigurator.cc
  ${BACKEND_DIR}/src/GlibIniConfigurator.hh
  ${BACKEND_DIR}/src/IActivityMonitor.hh
  ${BACKEND_DIR}/src/IConfigBackend.hh
  ${BACKEND_DIR}/src/IDistributionClientMessage.hh
  ${BACKEND_DIR}/src/IInputMonitor.hh
  ${BACKEND_DIR}/src/IInputMonitorFactory.hh
  ${BACKEND_DIR}/src/IInputMonitorListener.hh
  ${BACKEND_DIR}/src/IdleLogManager.cc
  ${BACKEND_DIR}/src/IdleLogManager.hh
  ${BACKEND_DIR}/src/InputMonitor.cc
  ${BACKEND_DIR}/src/InputMonitor.hh
  ${BACKEND_DIR}/src/InputMonitor.icc
  ${BACKEND_DIR}/src/InputMonitorFactory.cc
  ${BACKEND_DIR}/src/InputMonitorFactory.hh
  ${BACKEND_DIR}/src/InputMonitorFactoryInterface.hh
  ${BACKEND_DIR}/src/PacketBuffer.cc
  ${BACKEND_DIR}/src/PacketBuffer.hh
  ${BACKEND_DIR}/src/Statistics.cc
  ${BACKEND_DIR}/src/Statistics.hh
  ${BACKEND_DIR}/src/TimePred.hh
  ${BACKEND_DIR}/src/TimePredFactory.cc
  ${BACKEND_DIR}/src/TimePredFactory.hh
  ${BACKEND_DIR}/src/TimeSource.hh
  ${BACKEND_DIR}/src/Timer.cc
  ${BACKEND_DIR}/src/Timer.hh
  ${BACKEND_DIR}/src/Timer.icc
  ${BACKEND_DIR}/src/TimerActivityMonitor.hh
  ${BACKEND_DIR}/src/Variant.hh
  )

if (APPLE)
  set(BACKEND_SOURCES ${BACKEND_SOURCES}
    ${BACKEND_DIR}/src/osx/OSXConfigurator.cc
    ${BACKEND_DIR}/src/osx/OSXConfigurator.hh
    ${BACKEND_DIR}/src/osx/OSXInputMonitor.cc
    ${BACKEND_DIR}/src/osx/OSXInputMonitor.hh
    ${BACKEND_DIR}/src/osx/OSXInputMonitorFactory.cc
    ${BACKEND_DIR}/src/osx/OSXInputMonitorFactory.hh
  )
endif (APPLE)
  
if (UNIX)
  set(BACKEND_SOURCES ${BACKEND_SOURCES}
    ${BACKEND_DIR}/src/unix/GConfConfigurator.cc
    ${BACKEND_DIR}/src/unix/GConfConfigurator.hh
    ${BACKEND_DIR}/src/unix/UnixInputMonitorFactory.cc
    ${BACKEND_DIR}/src/unix/UnixInputMonitorFactory.hh
    ${BACKEND_DIR}/src/unix/X11InputMonitor.cc
    ${BACKEND_DIR}/src/unix/X11InputMonitor.hh
    ${BACKEND_DIR}/src/unix/dummy.c
  )
endif (UNIX)

if (WIN32)
  set(BACKEND_SOURCES ${BACKEND_SOURCES}
    ${BACKEND_DIR}/src/win32/Harpoon.cc
    ${BACKEND_DIR}/include/Harpoon.hh
    ${BACKEND_DIR}/src/win32/W32AlternateMonitor.cc
    ${BACKEND_DIR}/src/win32/W32AlternateMonitor.hh
    ${BACKEND_DIR}/src/win32/W32Configurator.cc
    ${BACKEND_DIR}/src/win32/W32Configurator.hh
    ${BACKEND_DIR}/src/win32/W32InputMonitor.cc
    ${BACKEND_DIR}/src/win32/W32InputMonitor.hh
    ${BACKEND_DIR}/src/win32/W32InputMonitorFactory.cc
    ${BACKEND_DIR}/src/win32/W32InputMonitorFactory.hh
    ${BACKEND_DIR}/src/win32/W32LowLevelMonitor.cc
    ${BACKEND_DIR}/src/win32/W32LowLevelMonitor.hh
    )

  include_directories( 
    "${COMMON_DIR}/include/win32"
    "${COMMON_DIR}/win32/harpoon/include"
    "${COMMON_DIR}/win32/harpoonHelper/include"
    "${BACKEND_DIR}/src/win32"
  )

endif (WIN32)

if (HAVE_GDOME)
  set(BACKEND_SOURCES ${BACKEND_SOURCES}
    ${BACKEND_DIR}/src/XMLConfigurator.cc
    ${BACKEND_DIR}/src/XMLConfigurator.hh
  )
endif (HAVE_GDOME)

if (HAVE_DISTRIBUTION)
  set(BACKEND_SOURCES ${BACKEND_SOURCES}
    ${BACKEND_DIR}/include/DistributionLogListener.hh
    ${BACKEND_DIR}/include/IDistributionManager.hh
    ${BACKEND_DIR}/src/DistributionLink.hh
    ${BACKEND_DIR}/src/DistributionListener.hh
    ${BACKEND_DIR}/src/DistributionManager.cc
    ${BACKEND_DIR}/src/DistributionManager.hh
    ${BACKEND_DIR}/src/DistributionSocketLink.cc
    ${BACKEND_DIR}/src/DistributionSocketLink.hh
    ${BACKEND_DIR}/src/FakeActivityMonitor.hh
    ${BACKEND_DIR}/src/GNetSocketDriver.cc
    ${BACKEND_DIR}/src/GNetSocketDriver.hh
    ${BACKEND_DIR}/src/GIOSocketDriver.cc
    ${BACKEND_DIR}/src/GIOSocketDriver.hh
    ${BACKEND_DIR}/src/SocketDriver.hh
    ${BACKEND_DIR}/src/SocketDriver.icc
    ${BACKEND_DIR}/src/SocketDriver.cc
    ${BACKEND_DIR}/src/Test.cc
    ${BACKEND_DIR}/src/Test.hh
  )
endif(HAVE_DISTRIBUTION)

if (HAVE_DBUS)
  add_custom_command(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/DBusWorkrave.cc
	COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/../../common/bin/dbusgen.py -l C++ -s ${BACKEND_DIR}/src/workrave-service.xml DBusWorkrave
	DEPENDS ${BACKEND_DIR}/src/workrave-service.xml
  )
  set(BACKEND_SOURCES ${BACKEND_SOURCES}
    ${CMAKE_CURRENT_BINARY_DIR}/DBusWorkrave.cc
  )
  include_directories(${DBUS_INCLUDES})
endif (HAVE_DBUS)
    

include_directories( 
  "${COMMON_DIR}/include"
  "${BACKEND_DIR}/include"
  "${BACKEND_DIR}/src"
)


include_directories(${GLIB_INCLUDES})
if (HAVE_DBUS)
  include_directories(${DBUS_INCLUDES})
endif(HAVE_DBUS)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(workrave-backend STATIC ${BACKEND_SOURCES})

=== build/cmake/common/CMakeLists.txt ===
project(Workrave)

SET(COMMON_DIR ${CMAKE_SOURCE_DIR}/../../common)

set(COMMON_SOURCES 
  ${COMMON_DIR}/src/debug.cc
  ${COMMON_DIR}/src/GlibThread.cc
  ${COMMON_DIR}/src/Locale.cc
  ${COMMON_DIR}/src/StringUtil.cc
  ${COMMON_DIR}/src/Util.cc
  ${COMMON_DIR}/include/Exception.hh
  ${COMMON_DIR}/include/GlibMutex.hh
  ${COMMON_DIR}/include/GlibThread.hh
  ${COMMON_DIR}/include/Locale.hh
  ${COMMON_DIR}/include/Mutex.hh
  ${COMMON_DIR}/include/Runnable.hh
  ${COMMON_DIR}/include/StringUtil.hh
  ${COMMON_DIR}/include/Thread.hh
  ${COMMON_DIR}/include/Util.hh
  ${COMMON_DIR}/include/debug.hh
  ${COMMON_DIR}/include/nls.h
  ${COMMON_DIR}/include/timeutil.h
)

if (HAVE_DBUS)
  set (COMMON_SOURCES ${COMMON_SOURCES}
    ${COMMON_DIR}/include/DBus.hh
    ${COMMON_DIR}/include/DBus-freedesktop.hh
    ${COMMON_DIR}/include/DBusBinding.hh
    ${COMMON_DIR}/include/DBusBinding-freedesktop.hh
    ${COMMON_DIR}/include/DBusException.hh
    ${COMMON_DIR}/src/DBus-freedesktop.cc
    ${COMMON_DIR}/src/DBusBinding-freedesktop.cc
  )
  include_directories(${DBUS_INCLUDES})
endif (HAVE_DBUS)

if (WIN32)
  set (COMMON_SOURCES ${COMMON_SOURCES}
    ${COMMON_DIR}/src/win32/crashlog.cc
    ${COMMON_DIR}/include/win32/crashlog.h
  )
endif (WIN32)

if (UNIX)
  set (COMMON_SOURCES ${COMMON_SOURCES}
    ${COMMON_DIR}/include/unix/Sound.hh
  )
endif (UNIX)

if (HAVE_DISTRIBUTION)
  set (COMMON_SOURCES ${COMMON_SOURCES}
    ${COMMON_DIR}/include/WRID.hh 
    ${COMMON_DIR}/src/WRID.cc
 )
endif (HAVE_DISTRIBUTION)

add_definitions(-D_XOPEN_SOURCE=600)

include_directories( 
  "${COMMON_DIR}/include"
  "${COMMON_DIR}/include/win32"
  "${COMMON_DIR}/win32/harpoon/include"
  "${COMMON_DIR}/win32/harpoonHelper/include"
)

if (HAVE_DBUS)
  include_directories(${DBUS_INCLUDES})
endif(HAVE_DBUS)
include_directories(${GLIB_INCLUDES})

add_library(workrave-common STATIC ${COMMON_SOURCES})

=== build/cmake/frontend/CMakeLists.txt ===
project(Workrave)

set(COMMON_DIR ${CMAKE_SOURCE_DIR}/../../common)
set(BACKEND_DIR ${CMAKE_SOURCE_DIR}/../../backend)
set(FRONTEND_DIR ${CMAKE_SOURCE_DIR}/../../frontend)

######################################################################
## Workrave
######################################################################

set(FRONTEND_SOURCES 
    ${FRONTEND_DIR}/common/include/ISoundDriver.hh
    ${FRONTEND_DIR}/common/include/ITimeBar.hh
    ${FRONTEND_DIR}/common/include/ITimerBoxView.hh
    ${FRONTEND_DIR}/common/include/Orientation.hh
    ${FRONTEND_DIR}/common/include/Sound.hh
    ${FRONTEND_DIR}/common/include/SoundPlayer.hh
    ${FRONTEND_DIR}/common/include/System.hh
    ${FRONTEND_DIR}/common/include/Text.hh
    ${FRONTEND_DIR}/common/include/TimerBoxControl.hh
    ${FRONTEND_DIR}/common/include/credits.h
    ${FRONTEND_DIR}/common/src/GstSoundPlayer.cc
    ${FRONTEND_DIR}/common/src/GstSoundPlayer.hh
    ${FRONTEND_DIR}/common/src/SoundPlayer.cc
    ${FRONTEND_DIR}/common/src/System.cc
    ${FRONTEND_DIR}/common/src/Text.cc
    ${FRONTEND_DIR}/common/src/TimerBoxControl.cc
    ${FRONTEND_DIR}/gtkmm/src/AppletControl.cc
    ${FRONTEND_DIR}/gtkmm/src/AppletControl.hh
    ${FRONTEND_DIR}/gtkmm/src/AppletWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/AppletWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/BreakWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/BreakWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/DailyLimitWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/DailyLimitWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/DataConnector.cc
    ${FRONTEND_DIR}/gtkmm/src/DataConnector.hh
    ${FRONTEND_DIR}/gtkmm/src/EventButton.cc
    ${FRONTEND_DIR}/gtkmm/src/EventButton.hh
    ${FRONTEND_DIR}/gtkmm/src/EventImage.cc
    ${FRONTEND_DIR}/gtkmm/src/EventImage.hh
    ${FRONTEND_DIR}/gtkmm/src/EventLabel.cc
    ${FRONTEND_DIR}/gtkmm/src/EventLabel.hh
    ${FRONTEND_DIR}/gtkmm/src/Frame.cc
    ${FRONTEND_DIR}/gtkmm/src/Frame.hh
    ${FRONTEND_DIR}/gtkmm/src/GUI.cc
    ${FRONTEND_DIR}/gtkmm/src/GUI.hh
    ${FRONTEND_DIR}/gtkmm/src/GUIConfig.cc
    ${FRONTEND_DIR}/gtkmm/src/GUIConfig.hh
    ${FRONTEND_DIR}/gtkmm/src/GtkUtil.cc
    ${FRONTEND_DIR}/gtkmm/src/GtkUtil.hh
    ${FRONTEND_DIR}/gtkmm/src/HeadInfo.cc
    ${FRONTEND_DIR}/gtkmm/src/HeadInfo.hh
    ${FRONTEND_DIR}/gtkmm/src/Hig.cc
    ${FRONTEND_DIR}/gtkmm/src/Hig.hh
    ${FRONTEND_DIR}/gtkmm/src/IBreakWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/IPreludeWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/IconListCellRenderer.cc
    ${FRONTEND_DIR}/gtkmm/src/IconListCellRenderer.hh
    ${FRONTEND_DIR}/gtkmm/src/IconListNotebook.cc
    ${FRONTEND_DIR}/gtkmm/src/IconListNotebook.hh
    ${FRONTEND_DIR}/gtkmm/src/MainGtkMenu.hh
    ${FRONTEND_DIR}/gtkmm/src/MainGtkMenu.cc
    ${FRONTEND_DIR}/gtkmm/src/MainWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/MainWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/IMenu.hh
    ${FRONTEND_DIR}/gtkmm/src/Menus.cc
    ${FRONTEND_DIR}/gtkmm/src/Menus.hh
    ${FRONTEND_DIR}/gtkmm/src/MicroBreakWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/MicroBreakWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/PreferencesDialog.cc
    ${FRONTEND_DIR}/gtkmm/src/PreferencesDialog.hh
    ${FRONTEND_DIR}/gtkmm/src/PreludeWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/PreludeWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/RestBreakWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/RestBreakWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/StatusIcon.cc
    ${FRONTEND_DIR}/gtkmm/src/StatusIcon.hh
    ${FRONTEND_DIR}/gtkmm/src/Session.cc
    ${FRONTEND_DIR}/gtkmm/src/Session.hh
    ${FRONTEND_DIR}/gtkmm/src/TimeBar.cc
    ${FRONTEND_DIR}/gtkmm/src/TimeBar.hh
    ${FRONTEND_DIR}/gtkmm/src/TimeEntry.cc
    ${FRONTEND_DIR}/gtkmm/src/TimeEntry.hh
    ${FRONTEND_DIR}/gtkmm/src/TimerBoxGtkView.cc
    ${FRONTEND_DIR}/gtkmm/src/TimerBoxGtkView.hh
    ${FRONTEND_DIR}/gtkmm/src/TimerBoxPreferencePage.cc
    ${FRONTEND_DIR}/gtkmm/src/TimerBoxPreferencePage.hh
    ${FRONTEND_DIR}/gtkmm/src/TimerPreferencesPanel.cc
    ${FRONTEND_DIR}/gtkmm/src/TimerPreferencesPanel.hh
    ${FRONTEND_DIR}/gtkmm/src/WindowHints.cc
    ${FRONTEND_DIR}/gtkmm/src/WindowHints.hh
    ${FRONTEND_DIR}/gtkmm/src/macros.h
    ${FRONTEND_DIR}/gtkmm/src/main.cc
    ${FRONTEND_DIR}/gtkmm/src/preinclude.h
    ${FRONTEND_DIR}/plugin/distribution/gtkmm/src/NetworkJoinDialog.cc
    ${FRONTEND_DIR}/plugin/distribution/gtkmm/src/NetworkJoinDialog.hh
    ${FRONTEND_DIR}/plugin/distribution/gtkmm/src/NetworkLogDialog.cc
    ${FRONTEND_DIR}/plugin/distribution/gtkmm/src/NetworkLogDialog.hh
    ${FRONTEND_DIR}/plugin/distribution/gtkmm/src/NetworkPreferencePage.cc
    ${FRONTEND_DIR}/plugin/distribution/gtkmm/src/NetworkPreferencePage.hh
    ${FRONTEND_DIR}/plugin/statistics/gtkmm/src/StatisticsDialog.cc
    ${FRONTEND_DIR}/plugin/statistics/gtkmm/src/StatisticsDialog.hh
    ${FRONTEND_DIR}/gtkmm/src/eggsmclient.c
  )

if (APPLE)
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${FRONTEND_DIR}/common/src/osx/OSXSoundPlayer.cc
    ${FRONTEND_DIR}/common/src/osx/OSXSoundPlayer.hh
    ${FRONTEND_DIR}/common/src/osx/Sound.cc
    ${FRONTEND_DIR}/gtkmm/src/osx/AppController.h
    ${FRONTEND_DIR}/gtkmm/src/osx/OSXGtkMenu.cc
    ${FRONTEND_DIR}/gtkmm/src/osx/OSXGtkMenu.hh
    ${FRONTEND_DIR}/gtkmm/src/osx/OSXUtil.cc
    ${FRONTEND_DIR}/gtkmm/src/osx/OSXUtil.hh
    ${FRONTEND_DIR}/gtkmm/src/eggsmclient-osx.c
  )
endif (APPLE)
  
if (UNIX)
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${FRONTEND_DIR}/common/src/x11/Sound.cc
    ${FRONTEND_DIR}/gtkmm/src/X11SystrayAppletWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/X11SystrayAppletWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/unix/desktop-window.c
    ${FRONTEND_DIR}/gtkmm/src/unix/desktop-window.h
    ${FRONTEND_DIR}/gtkmm/src/gtktrayicon.c
    ${FRONTEND_DIR}/gtkmm/src/gtktrayicon.h
    ${FRONTEND_DIR}/gtkmm/src/eggdesktopfile.c
    ${FRONTEND_DIR}/gtkmm/src/eggsmclient-xsmp.c
  )
 add_definitions(-DEGG_SM_CLIENT_BACKEND_XSMP)
endif (UNIX)

if (WIN32)
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${FRONTEND_DIR}/common/src/win32/W32DirectSoundPlayer.cc
    ${FRONTEND_DIR}/common/src/win32/W32DirectSoundPlayer.hh
    ${FRONTEND_DIR}/common/src/win32/W32Mixer.cc
    ${FRONTEND_DIR}/common/src/win32/W32Mixer.hh
    ${FRONTEND_DIR}/common/src/win32/Sound.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/DesktopWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/DesktopWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/W32AppletMenu.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/W32AppletMenu.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/W32AppletWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/W32AppletWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/W32Compat.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/W32Compat.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/W32TrayMenu.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/W32TrayMenu.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/W32StatusIcon.cc
    ${FRONTEND_DIR}/gtkmm/src/win32/W32StatusIcon.hh
    ${FRONTEND_DIR}/gtkmm/src/win32/dll_hell.c
    ${FRONTEND_DIR}/gtkmm/src/win32/dll_hell.h
    ${FRONTEND_DIR}/gtkmm/src/eggsmclient-win32.c
    ${CMAKE_BINARY_DIR}/workrave.rc
    )

    # ${FRONTEND_DIR}/common/src/win32/Sound.cc
    
  include_directories( 
    "${COMMON_DIR}/include/win32"
    "${COMMON_DIR}/win32/harpoon/include"
    "${FRONTEND_DIR}/common/src/win32"
    "${FRONTEND_DIR}/gtkmm/src/win32"
    "${FRONTEND_DIR}/applets/win32/include"
  )

  #ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/workrave_rc.o
  #                      COMMAND windres.exe
  #                          -o ${CMAKE_CURRENT_BINARY_DIR}/workrave_rc.o
  #                          -i ${CMAKE_CURRENT_BINARY_DIR}/workrave.rc
  #		         DEPENDS workrave.rc			    
  #                      )
  #	
  #set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
  #  ${CMAKE_CURRENT_BINARY_DIR}/workrave_rc.o
  #)
  
endif (WIN32)

if (HAVE_GNOME)
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${FRONTEND_DIR}/common/src/gnome/GnomeSoundPlayer.cc
    ${FRONTEND_DIR}/common/src/gnome/GnomeSoundPlayer.hh
    ${FRONTEND_DIR}/gtkmm/src/GnomeAppletMenu.cc
    ${FRONTEND_DIR}/gtkmm/src/GnomeAppletMenu.hh
    ${FRONTEND_DIR}/gtkmm/src/GnomeAppletWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/GnomeAppletWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/gnome_applet/WorkraveApplet.c
    ${FRONTEND_DIR}/gtkmm/src/gnome_applet/WorkraveApplet.h
  )
endif (HAVE_GNOME)

if (HAVE_KDE)
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${FRONTEND_DIR}/common/src/kde/KdeSoundPlayer.cc
    ${FRONTEND_DIR}/common/src/kde/KdeSoundPlayer.hh
    ${FRONTEND_DIR}/gtkmm/src/KdeAppletWindow.cc
    ${FRONTEND_DIR}/gtkmm/src/KdeAppletWindow.hh
    ${FRONTEND_DIR}/gtkmm/src/KdeWorkraveControl.cc
    ${FRONTEND_DIR}/gtkmm/src/KdeWorkraveControl.hh
    ${FRONTEND_DIR}/gtkmm/src/kde_applet/kworkraveapplet.h
    ${FRONTEND_DIR}/gtkmm/src/kde_applet/kworkravecontroliface.h
  )
endif(HAVE_KDE)

if (HAVE_DBUS)
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/DBusGUI.cc
    COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/../../common/bin/dbusgen.py -l C++ -s ${FRONTEND_DIR}/gtkmm/src/workrave-gui.xml DBusGUI
  )
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${CMAKE_CURRENT_BINARY_DIR}/DBusGUI.cc
  )
  if (UNIX)
    set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
      ${FRONTEND_DIR}/gtkmm/src/eggsmclient-dbus.c
     )
  endif(UNIX)
  include_directories(${DBUS_INCLUDES})
  add_definitions(-DEGG_SM_CLIENT_BACKEND_DBUS)
endif (HAVE_DBUS)

if (HAVE_EXERCISES)
  set(FRONTEND_SOURCES ${FRONTEND_SOURCES}
    ${FRONTEND_DIR}/plugin/exercises/common/src/Exercise.cc
    ${FRONTEND_DIR}/plugin/exercises/common/src/Exercise.hh
    ${FRONTEND_DIR}/plugin/exercises/gtkmm/src/ExercisesDialog.cc
    ${FRONTEND_DIR}/plugin/exercises/gtkmm/src/ExercisesDialog.hh
    ${FRONTEND_DIR}/plugin/exercises/gtkmm/src/ExercisesPanel.cc
    ${FRONTEND_DIR}/plugin/exercises/gtkmm/src/ExercisesPanel.hh
  )
endif (HAVE_EXERCISES)

include_directories( 
  ${COMMON_DIR}/include
  ${BACKEND_DIR}/include
  ${FRONTEND_DIR}/include
  ${FRONTEND_DIR}/common/include
  ${FRONTEND_DIR}/gtkmm/src
  ${FRONTEND_DIR}/plugin/distribution/gtkmm/src
  ${FRONTEND_DIR}/plugin/exercises/common/src
  ${FRONTEND_DIR}/plugin/exercises/gtkmm/src
  ${FRONTEND_DIR}/plugin/statistics/gtkmm/src
  )
  
include_directories(${GTKMM_INCLUDES})
if (HAVE_DBUS)
  include_directories(${DBUS_INCLUDES})
endif(HAVE_DBUS)
if (HAVE_DIRECTX)
  include_directories(${DIRECTX_INCLUDES})
endif(HAVE_DIRECTX)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

if (HAVE_DIRECTX)
   link_directories(${DIRECTX_LIBS})
endif(HAVE_DIRECTX)

add_executable(workrave WIN32 ${FRONTEND_SOURCES})

target_link_libraries(workrave workrave-common)
target_link_libraries(workrave workrave-backend)
target_link_libraries(workrave ${GTKMM_LIBS})

if (HAVE_DBUS)
  target_link_libraries(workrave ${DBUS_LIBS})
endif(HAVE_DBUS)

if (HAVE_GNET)
  target_link_libraries(workrave ${GNET_LIBS})
endif(HAVE_GNET)

if (HAVE_DIRECTX)
   target_link_libraries(workrave dxerr dsound dxguid)
endif(HAVE_DIRECTX)

if (WIN32)
  target_link_libraries(workrave harpoon)
  target_link_libraries(workrave winmm shlwapi kernel32 user32 gdi32 winspool comdlg32 advapi32 shell32 ole32 oleaut32 uuid odbc32 odbccp32 wtsapi32)
endif(WIN32)

######################################################################
## Exercises
######################################################################

if (HAVE_EXERCISES)
  file(GLOB PO_FILES ${CMAKE_SOURCE_DIR}/../../po/*.po) 

  add_custom_command(
      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/exercises.xml
      COMMAND ${INTLTOOL_MERGE_EXECUTABLE} -x -u -c ${CMAKE_CURRENT_BINARY_DIR}/intltool-merge-cache ${CMAKE_SOURCE_DIR}/../../po ${CMAKE_SOURCE_DIR}/../../frontend/plugin/exercises/common/share/exercises.xml.in ${CMAKE_CURRENT_BINARY_DIR}/exercises.xml

      DEPENDS ${CMAKE_SOURCE_DIR}/../../frontend/plugin/exercises/common/share/exercises.xml.in
    )
endif (HAVE_EXERCISES)

######################################################################
## Translations
######################################################################

=== debian/changelog ===
workrave (1.9.909+abc941eb70-1) unstable; urgency=low

  [ Francois Marier ]
  * New upstream snapshot
    - Drop leak-fix patch (applied upstream)
    - Document how the tarball is built in README.source
  * Build GNOME applets and use gsettings
  * Massive update of Build-Depends as per configure.ac

  * Update README.source with snapshot instructions
  * Switch to machine-readable copyright file
  * Update alioth git repo links
  * Bump debhelper version to 9
  * Bump Standards-Version to 3.9.3

  [ Jordi Mallach ]
  * Avoid references to GNU/Linux in manpage.
  * Drop build dependency on libgnet-dev, it's obsolete and unneeded.
  * Add myself to Uploaders.
  * Rewrite d/rules into dh style.
    - Move all install tweaks to .install files.
    - Install manpages using dh_installman.
  * As a side effect, the package installs arch-dependant data in the
    arch triplet directory; add the required Pre-Depends for m-a-support.
  * Bring back GNOME Panel applet (for GNOME 3 fallback mode) and ship the
    new GNOME Shell extension (closes: #642514, #666100).
  * Add private_dirs.patch: move libworkrave-private and GObject
    Introspection files to a private dir, so they are really out of the
    way, but disable it for now as it breaks the Shell extension.
  * Move typelib out of the triplet dir as gobject-introspection is not
    M-A ready yet.
  * Enable dh_autoreconf for the above patches.
  * Add lintian overrides.
  * Add necessary Breaks/Replaces as the xpm icon has moved to workrave-data.
  * Prefix all debhelper files with package name.
  * Suggest gnome-shell and gnome-panel.

 -- Francois Marier <francois@debian.org>  Mon, 28 May 2012 11:29:40 +1200

=== debian/control ===
Source: workrave
Section: gnome
Priority: extra
Maintainer: Francois Marier <francois@debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 9),
#               dh-autoreconf,
               autotools-dev,
               docbook-utils,
               xmlto,
               gobject-introspection (>= 0.6.7),
               gsettings-desktop-schemas-dev,
               intltool,
               libdbus-glib-1-dev (>= 0.84),
               libgdome2-dev,
               libgirepository1.0-dev (>= 0.6.7),
               libglib2.0-0 (>= 2.30),
               libglibmm-2.4-dev (>= 2.28.0),
               libgstreamer0.10-dev,
               libgtk-3-dev (>= 3.0.0),
               libgtkmm-3.0-dev (>= 3.0.0),
               libpanel-applet-4-dev,
               libpulse-dev (>= 0.9.5),
               libsigc++-2.0-dev (>= 2.2.4.2),
               libxi-dev,
               libxmu-dev,
               libxss-dev,
               libxtst-dev,
               python-cheetah
Standards-Version: 3.9.3
Homepage: http://www.workrave.org/
Vcs-git: git://anonscm.debian.org/git/collab-maint/workrave.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/workrave.git;a=summary

Package: workrave
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, workrave-data (= ${source:Version})
Suggests: gnome-shell, gnome-panel (>= 3)
Description: Repetitive Strain Injury prevention tool
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.

Package: workrave-data
Architecture: all
Depends: ${misc:Depends}
Breaks: workrave (<< 1.9.909)
Replaces: workrave (<< 1.9.909)
Description: Repetitive Strain Injury prevention tool (data files)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package contains the required data files common to all architectures.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=\$${prefix}/lib/gnome-applets \
		--disable-dependency-tracking \
		--disable-static \
		--enable-dbus \
		--enable-gsettings \
		--enable-exercises \
		--disable-gconf

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## workrave 1.10

=== build/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
 
 # Set Workrave version
 set(VERSION_MAJOR   "1")
-set(VERSION_MINOR   "9")
-set(VERSION_RELEASE "909")
+set(VERSION_MINOR   "10")
+set(VERSION_RELEASE "0")
 set(VERSION_PATCH   "0")
 if (VERSION_PATCH)
     set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}-${VERSION_PATCH}" )
@@ -93,13 +93,19 @@
   set(DATA_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../)
 endif(DEVELOPMENT_MODE)
 
+option(FIND_DBUS "Find DBUS" ON)
+
 ######################################################################
 ## Find packages
 ######################################################################
 
 include(FindGlib)
 include(FindGtkmm)
+
+if(FIND_DBUS)
 include(FindDbus)
+endif(FIND_DBUS)
+
 include(FindGettext)
 #include(FindGnet)

=== debian/changelog ===
workrave (1.10-0ubuntu2) raring; urgency=low

  * Fix lack of trailing semi-colon on Categories in .desktop file

 -- Jack Leigh <leighman@gmx.se>  Wed, 03 Apr 2013 17:25:21 +0100

workrave (1.10-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/control, debian/rules, debian/workrave.install:
    - Enable support for an indicator in Unity (LP: #796824)
  * debian/patches/fix-format-security.patch:
    - Fix FTBFS due to -Werror=format-security

 -- Michael Terry <mterry@ubuntu.com>  Thu, 24 Jan 2013 11:04:41 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: workrave
 Section: gnome
 Priority: extra
-Maintainer: Francois Marier <francois@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Francois Marier <francois@debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 9),
 #               dh-autoreconf,
@@ -12,6 +13,8 @@
                gsettings-desktop-schemas-dev,
                intltool,
                libdbus-glib-1-dev (>= 0.84),
+               libdbusmenu-glib-dev (>= 0.1.1),
+               libdbusmenu-gtk3-dev (>= 0.3.95),
                libgdome2-dev,
                libgirepository1.0-dev (>= 0.6.7),
                libglib2.0-0 (>= 2.30),
@@ -19,6 +22,7 @@
                libgstreamer0.10-dev,
                libgtk-3-dev (>= 3.0.0),
                libgtkmm-3.0-dev (>= 3.0.0),
+               libindicator3-dev (>= 0.3.19),
                libpanel-applet-4-dev,
                libpulse-dev (>= 0.9.5),
                libsigc++-2.0-dev (>= 2.2.4.2),

## workrave 1.10.1

=== build/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Set Workrave version
 set(VERSION_MAJOR   "1")
 set(VERSION_MINOR   "10")
-set(VERSION_RELEASE "0")
+set(VERSION_RELEASE "1")
 set(VERSION_PATCH   "0")
 if (VERSION_PATCH)
     set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}-${VERSION_PATCH}" )

=== build/cmake/frontend/CMakeLists.txt ===
--- 
+++ 
@@ -148,6 +148,8 @@
     ${FRONTEND_DIR}/gtkmm/src/win32/W32AppletWindow.hh
     ${FRONTEND_DIR}/gtkmm/src/win32/W32Compat.cc
     ${FRONTEND_DIR}/gtkmm/src/win32/W32Compat.hh
+    ${FRONTEND_DIR}/gtkmm/src/win32/W32ForceFocus.cc
+    ${FRONTEND_DIR}/gtkmm/src/win32/W32ForceFocus.hh
     ${FRONTEND_DIR}/gtkmm/src/win32/W32TrayMenu.cc
     ${FRONTEND_DIR}/gtkmm/src/win32/W32TrayMenu.hh
     ${FRONTEND_DIR}/gtkmm/src/win32/W32StatusIcon.cc
@@ -161,6 +163,7 @@
     # ${FRONTEND_DIR}/common/src/win32/Sound.cc
     
   include_directories( 
+    "${BACKEND_DIR}/src/win32"
     "${COMMON_DIR}/include/win32"
     "${COMMON_DIR}/win32/harpoon/include"
     "${FRONTEND_DIR}/common/src/win32"
@@ -298,7 +301,3 @@
     )
 endif (HAVE_EXERCISES)
 
-######################################################################
-## Translations
-######################################################################
-

=== build/cmake/harpoon/CMakeLists.txt ===
PROJECT(Harpoon)

set(SOURCES 
  ../../../common/win32/harpoon/src/harpoon.c
  ../../../common/win32/harpoon/src/harpoon.def
  ../../../common/win32/harpoon/include/harpoon.h
)

include_directories( 
  ../../../common/win32/harpoon/include
)

add_definitions( 
  -DHARPOON_EXPORTS
  -DWIN32
  -DWINVER=0x400
  -D_USRDLL
  -D_WIN32_WINNT=0x500
  -D_WINDOWS
)

add_library(harpoon SHARED ${SOURCES})

target_link_libraries(harpoon kernel32 user32 gdi32 winspool comdlg32 advapi32 shell32 ole32 oleaut32 uuid odbc32 odbccp32)

install(TARGETS harpoon
        RUNTIME DESTINATION lib
)

=== debian/changelog ===
workrave (1.10.1-4) unstable; urgency=medium

  * Revert the Ubuntu changes from 1.10.1-3 (closes: #737034)
  * Manual libtool update to fix FTBFS on ppc64el

 -- Francois Marier <francois@debian.org>  Sat, 01 Feb 2014 17:25:10 +1300

workrave (1.10.1-3) unstable; urgency=medium

  * Merge Ubuntu changes (closes: #736694)
    - Use dh-autoreconf to get new libtool macros for ppc64el
    - Disable -Werror to fix FTBFS while autoreconfing
    - Remove gettext macros to ensure libtool is creating po/Makefile.in.in
  * Bump Standards-Version up to 3.9.5

 -- Francois Marier <francois@debian.org>  Sun, 26 Jan 2014 19:09:08 +1300

workrave (1.10.1-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * gnome_3.8.patch: makes the GNOME Shell extension compatible with GNOME 3.8
    (Closes: #720037)

  [ Francois Marier ]
  * Merge with Ubuntu:
    - link against libindicator3-dev and build the indicator

 -- Francois Marier <francois@debian.org>  Thu, 05 Sep 2013 09:06:56 +1200

workrave (1.10.1-1) unstable; urgency=low

  * New upstream version
  * Merge with Ubuntu:
    - fix errors in the desktop file for Polish and Russian locales

  * Update debian/copyright for upstream move to GPLv3+
  * Remove unused intltool_vs_gettextize.patch
  * Bump Standards-Version up to 3.9.4
  * Use canonical VCS URLs in debian/control

 -- Francois Marier <francois@debian.org>  Sat, 15 Jun 2013 12:56:51 +1200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: workrave
 Section: gnome
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Francois Marier <francois@debian.org>
+Maintainer: Francois Marier <francois@debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 9),
 #               dh-autoreconf,
@@ -31,9 +30,9 @@
                libxss-dev,
                libxtst-dev,
                python-cheetah
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.workrave.org/
-Vcs-git: git://anonscm.debian.org/git/collab-maint/workrave.git
+Vcs-git: git://anonscm.debian.org/collab-maint/workrave.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/workrave.git;a=summary
 
 Package: workrave

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 		--disable-static \
 		--enable-dbus \
 		--enable-gsettings \
+		--enable-indicator \
 		--enable-exercises \
 		--disable-gconf

=== debian/watch ===
version=3
opts=uversionmangle=s/([0-9.]+)(-[0-9]+)?/$1/ \
    http://sf.net/workrave/workrave-([0-9.-]+).tar.gz

## workrave 1.10.4

=== debian/changelog ===
workrave (1.10.4-3) unstable; urgency=medium

  * Mark the applet as compatible with GNOME 3.14 (closes: #762727)

 -- Francois Marier <francois@debian.org>  Sat, 04 Oct 2014 17:04:29 +1300

workrave (1.10.4-2) unstable; urgency=medium

  * Bump Standards-Version up to 3.9.6

 -- Francois Marier <francois@debian.org>  Fri, 19 Sep 2014 00:45:03 +1200

workrave (1.10.4-1) unstable; urgency=medium

  * New upstream release (closes: #754908)
  * Drop all Debian patches
  * Build with autoreconf (makefiles are not in the github tarballs)
  * Point watch file to github releases (closes: #755101)

 -- Francois Marier <francois@debian.org>  Wed, 23 Jul 2014 11:58:16 +1200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Francois Marier <francois@debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 9),
-#               dh-autoreconf,
+               dh-autoreconf,
                autotools-dev,
                docbook-utils,
                xmlto,
@@ -30,7 +30,7 @@
                libxss-dev,
                libxtst-dev,
                python-cheetah
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.workrave.org/
 Vcs-git: git://anonscm.debian.org/collab-maint/workrave.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/workrave.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 %:
-	dh $@
+	dh $@ --with autoreconf
+
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## workrave 1.10.6

=== debian/changelog ===
workrave (1.10.6-2build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:55:51 +0000

workrave (1.10.6-2) unstable; urgency=medium

  * Drop versioned dependency on gnome-panel
  * Move xfce4-panel to Suggests (closes: #783845)
  * Run wrap-and-sort
  * Switch the build-dependency from libpanel-applet-4-dev to
    libpanel-applet-dev (Ubuntu merge)
  * Switch build-dependency from libgstreamer0.10-dev to
    libgstreamer1.0-dev (closes: #785868)

 -- Francois Marier <francois@debian.org>  Mon, 22 Jun 2015 10:47:58 -0700

workrave (1.10.6-1) unstable; urgency=medium

  * New upstream release
    - drop GNOME 3.14 patch which was applied upstream
  * Enable XFCE Panel plugin (closes: #677469)
  * Disable upstream tests since they no longer work

 -- Francois Marier <francois@debian.org>  Sat, 25 Apr 2015 21:50:44 +1200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: workrave
 Section: gnome
 Priority: extra
-Maintainer: Francois Marier <francois@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Francois Marier <francois@debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: autotools-dev,
+               debhelper (>= 9),
                dh-autoreconf,
-               autotools-dev,
                docbook-utils,
-               xmlto,
                gobject-introspection (>= 0.6.7),
                gsettings-desktop-schemas-dev,
                intltool,
@@ -18,18 +18,20 @@
                libgirepository1.0-dev (>= 0.6.7),
                libglib2.0-0 (>= 2.30),
                libglibmm-2.4-dev (>= 2.28.0),
-               libgstreamer0.10-dev,
+               libgstreamer1.0-dev,
                libgtk-3-dev (>= 3.0.0),
                libgtkmm-3.0-dev (>= 3.0.0),
                libindicator3-dev (>= 0.3.19),
-               libpanel-applet-4-dev,
+               libpanel-applet-dev,
                libpulse-dev (>= 0.9.5),
                libsigc++-2.0-dev (>= 2.2.4.2),
                libxi-dev,
                libxmu-dev,
                libxss-dev,
                libxtst-dev,
-               python-cheetah
+               python-cheetah,
+               xfce4-panel-dev,
+               xmlto
 Standards-Version: 3.9.6
 Homepage: http://www.workrave.org/
 Vcs-git: git://anonscm.debian.org/collab-maint/workrave.git
@@ -38,8 +40,10 @@
 Package: workrave
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, workrave-data (= ${source:Version})
-Suggests: gnome-shell, gnome-panel (>= 3)
+Depends: workrave-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gnome-panel, gnome-shell, xfce4-panel
 Description: Repetitive Strain Injury prevention tool
  Workrave is a program that assists in the recovery and prevention of
  Repetitive Strain Injury (RSI). The program frequently alerts you to

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,13 @@
 		--enable-gsettings \
 		--enable-indicator \
 		--enable-exercises \
+		--enable-xfce \
 		--disable-gconf
 
 override_dh_install:
 	dh_install --list-missing
 
+override_dh_auto_test:
+
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
